# /fulfillment

#### `POST /fulfillment`

#### Create a fulfillment for a fulfillment order.

Request:

* `fulfillment`
  * `fulfillment_order_id` (UUID) - Required. The ID of the Fulfillment Order you are fulfilling
  * `line_items` (array) - Optional. If left blank, all line items will be fulfilled
    * `id` (string) - Required. The Purple Dot ID of the line item
    * `quantity`(number) - Required. The quantity of that line item that are being fulfilled
  * `notify_customer` (boolean) - Optional. Whether the customer is notified. If `true`, then a notification is sent when the fulfillment is created. The default value is `false`
  * `tracking_info` - Optional.
    * `number` (string) - The tracking number of the fulfillment
    * `company` (string) - The name of the tracking company
    * `url` (string) - The URL to track the fulfillment

Example payload:

```
{
  "fulfillment": {
    "fulfillment_order_id": "00000000-00000000-00000000-00000000",
    "line_items": [
      {
        "id": "00000000-00000000-00000000-00000000",
        "quantity": 5
      }
    ],
    "notify_customer": true,
    "tracking_info": {
      "number": "1234567890",
      "company": "UPS",
      "url": "https://www.myshipping.com/track/?tracknumbers=1234567890"
    }
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.getpurpledot.com/docs/purple-dot-apis/private-api/fulfillment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
